//Datei: BACKCNT.H
// Rckwrtszhler mit PIC16F84
//
// Pindefinitionen fr den PIC
//
// Holger Klabunde
// Copyright 2000
// 05.05.2001
// Compiler CC5x

//Power ein/ausschalten
#define RELAIS	0x80
#define RELAIS_ON() { lcdport|=RELAIS; PORTB=lcdport; }
#define RELAIS_OFF() { lcdport&=~RELAIS; PORTB=lcdport; }

//Eingnge fr die 5 Bedientaster an PORTA
//Masken zum auswerten der Tastatur
#define DOWN	0x01
#define UP	0x02
#define RIGHT	0x04
#define START	0x08
#define STORE	0x10
#define ONOFF   0x40 //Ein/Ausschalter an Portb.6

//Werte fr gogo
#define TICKS	(unsigned long)25*60	//TMR0 Interrupts fr 1 Minute
#define SWITCHOFF 0xFFFE  //Kennung Countdown beendet, Relais noch an !
#define DISABLE 0xFFFF    //Kennung kein Countdown mehr, Relais off
