//Datei: PROTOS.H
// Rckwrtszhler mit PIC16F84
//
// Nur Prototypen
//
// Copyright 1999 by Holger Klabunde
// 05.05.2001
// Compiler CC5x

#ifndef PROTOS_H
#define PROTOS_H
extern void InitPIC();
extern void Delay1ms(unsigned char);
extern void ShowBCD(unsigned char);

extern void LCDInit();
extern void LCDWriteByte(unsigned char);
extern void LCDWrite(const char *);
extern void LCDCls();
extern void LCDPos(unsigned char, unsigned char);

extern void ShowDisplay();
extern void BinToBCD16();

extern char Read_EEProm(unsigned char addr);
extern void Write_EEProm(unsigned char addr, unsigned char data);

extern unsigned char stelle; 	//Position auf der LCD-Anzeige
extern unsigned char key; 	//Tastatur lesen
extern unsigned char result;	//Zwischenergebnisse
extern unsigned char tastbuf; //Tastaturpuffer fr lesen im INT
extern unsigned char boing;    //Warten auf INT
extern unsigned char lcdport;
extern unsigned long countdown; //16Bit Rckwrtszhler

extern unsigned char B0,B1,B2;
extern unsigned char R0,R1,R2,R3;
extern unsigned long gogo;      //Wenn gogo > 0 luft Countdown

#endif
